# $Revision: 1.32 $, $Date: 2009/09/05 10:32:25 $
# TODO
# - convert all plugin packages to store their plugins in this base
#   directory.
# - Add addons and themes support for gecko based browsers
# Known NPAPI compatible browsers from PLD Linux CVS:
# - galeon
# - kazehakase
# - konqueror
# - mozilla
# - mozilla-firefox
# - mozilla-firefox-bin
# - netscape (update script on netscape-common package)
# - opera (ix86, x86_64, ppc only)
# - seamonkey
# - skipstone
# - iceweasel
# - iceape
Summary:	Base package for web browser plugins
Summary(pl.UTF-8):	Podstawowy pakiet dla wtyczek przeglądarek WWW
Name:		browser-plugins
Version:	3.0
Release:	2
License:	GPL
Group:		Base
BuildRequires:	rpmbuild(macros) >= 1.356
Source0:	%{name}.README
Source1:	%{name}-update.sh
Requires:	filesystem >= 3.0-13
Requires:	findutils
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sysconfdir	%{_browserpluginsconfdir}

%description
This package provides base directory for browser plugins complying to
Netscape Plugin API (NPAPI).

Browsers known to support NPAPI:
- Netscape Communicator/Navigator
- Mozilla/Mozilla Firefox/Seamonkey
- Opera
- Konqueror

%description -l pl.UTF-8
Ten pakiet dostarcza podstawowy katalog dla wtyczek przeglądarek
zgodnych z Netscape Plugin API (NPAPI).

Przeglądarki obsługujące NPAPI to:
- Netscape Communicator/Navigator
- Mozilla/Mozilla Firefox/Seamonkey
- Opera
- Konqueror

%prep
%setup -qcT
cp -a %{SOURCE0} README
cp -a %{SOURCE1} update-browser-plugins

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir}/{blacklist,browsers}.d,%{_sbindir}}
install update-browser-plugins $RPM_BUILD_ROOT%{_sbindir}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_browser_plugins

# we don't need postin script as all browsers depend on this package and
# therefore this package should be last one to go from system.

%files
%defattr(644,root,root,755)
%dir %{_sysconfdir}
%dir %{_sysconfdir}/browsers.d
%dir %{_sysconfdir}/blacklist.d
%attr(755,root,root) %{_sbindir}/update-browser-plugins

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: browser-plugins.spec,v $
Revision 1.32  2009/09/05 10:32:25  glen
- R filesystem with biarch dirs; rel 2

Revision 1.31  2008/07/31 09:36:29  glen
- update browser list; rel 1

Revision 1.30  2008/06/18 08:44:10  glen
- version 3.0: handle nspluginwrapper

Revision 1.29  2008/04/23 16:42:27  glen
- nspluginwrapper -v -a -i is needed to be called when flash pkg is updated

Revision 1.28  2007-12-29 00:27:28  glen
- rel 3

Revision 1.27  2007-08-31 21:24:07  arvenil
- R: findutils
- release 2

Revision 1.26  2007/02/28 08:35:37  glen
- 2.0.1: bugfix for dead symlinks in browsers.d dir

Revision 1.25  2007/02/24 13:07:56  arekm
- rel 2

Revision 1.24  2007/02/12 21:23:49  glen
- tabs in preamble

Revision 1.23  2007/02/12 00:48:40  baggins
- converted to UTF-8

Revision 1.22  2006/12/23 02:40:46  glen
- browser plugins v2 unleashed

Revision 1.21  2006/11/01 11:54:25  glen
- there's no uninstall, plugins get to dead symlinks after uninstall which update script deletes

Revision 1.20  2006/10/30 23:43:07  glen
- local.* files are not handled. drop them

Revision 1.19  2006/10/30 22:27:29  glen
- planted TODO-s

Revision 1.18  2006/10/30 22:19:11  glen
- sorted browsers, updated opera archlist

Revision 1.17  2006/10/30 17:25:58  shadzik
- add support for mozilla-firefox-bin

Revision 1.16  2006/09/29 13:08:44  glen
- no scripts yet

Revision 1.15  2006/09/16 12:35:35  glen
- unuse %{name}

Revision 1.14  2006/09/16 12:32:48  glen
- temp rename to allow old package being used

Revision 1.13  2006/09/14 16:18:54  glen
- started browser-plugins 2.0
